com.holonplatform.jaxrs.client.reactor.internal

## Class JaxrsClientReactiveRestClient

- java.lang.Object
- - com.holonplatform.reactor.http.internal.AbstractReactiveRestClient
  - - com.holonplatform.jaxrs.client.reactor.internal.JaxrsClientReactiveRestClient

- All Implemented Interfaces:
    com.holonplatform.http.rest.RestClientOperations<com.holonplatform.reactor.http.ReactiveRestClient,com.holonplatform.reactor.http.ReactiveRestClient.ReactiveRequestDefinition>, JaxrsReactiveRestClient, com.holonplatform.reactor.http.internal.ReactiveInvoker, com.holonplatform.reactor.http.ReactiveRestClient

      public class JaxrsClientReactiveRestClient
      extends com.holonplatform.reactor.http.internal.AbstractReactiveRestClient
      implements JaxrsReactiveRestClient

  Default JAX-RS `ReactiveRestClient` implementation.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.reactor.http.ReactiveRestClient

      `com.holonplatform.reactor.http.ReactiveRestClient.ReactiveInvocation, com.holonplatform.reactor.http.ReactiveRestClient.ReactiveRequestDefinition`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.http.rest.RestClientOperations

      `com.holonplatform.http.rest.RestClientOperations.InvocationOperations<RE,RP,RS,RL,RU>, com.holonplatform.http.rest.RestClientOperations.RequestConfiguration<R extends com.holonplatform.http.rest.RestClientOperations.RequestConfiguration<R>>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsClientReactiveRestClient(javax.ws.rs.client.Client client)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.client.Client` | `getClient()` Get the JAX-RS Client bound to this `ReactiveRestClient`.
    `<T,R> reactor.core.publisher.Mono<com.holonplatform.reactor.http.ReactiveResponseEntity<T>>` | `invoke(com.holonplatform.reactor.http.ReactiveRestClient.ReactiveRequestDefinition requestDefinition, com.holonplatform.http.HttpMethod method, com.holonplatform.http.rest.RequestEntity<R> requestEntity, com.holonplatform.http.rest.ResponseType<T> responseType, boolean onlySuccessfulStatusCode)`

    - ### Methods inherited from class com.holonplatform.reactor.http.internal.AbstractReactiveRestClient

      `clearDefaultHeaders, defaultTarget, getDefaultTarget, removeDefaultHeader, request, withDefaultHeader`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.jaxrs.client.reactor.JaxrsReactiveRestClient

      `create, create`

    - ### Methods inherited from interface com.holonplatform.reactor.http.ReactiveRestClient

      `create, create, create, forTarget, forTarget`

    - ### Methods inherited from interface com.holonplatform.http.rest.RestClientOperations

      `clearDefaultHeaders, defaultTarget, getDefaultTarget, removeDefaultHeader, request, withDefaultHeader`

- - ### Constructor Detail

    - #### JaxrsClientReactiveRestClient

          public JaxrsClientReactiveRestClient(javax.ws.rs.client.Client client)

      Constructor
      Parameters:
        `client` - Jax-rs client

  - ### Method Detail

    - #### getClient

          public javax.ws.rs.client.Client getClient()

      Description copied from interface: `JaxrsReactiveRestClient`
      Get the JAX-RS Client bound to this `ReactiveRestClient`.
      Specified by:
        `getClient` in interface `JaxrsReactiveRestClient`
      Returns:
        the JAX-RS Client

    - #### invoke

          public <T,R> reactor.core.publisher.Mono<com.holonplatform.reactor.http.ReactiveResponseEntity<T>> invoke(com.holonplatform.reactor.http.ReactiveRestClient.ReactiveRequestDefinition requestDefinition,
                                                                                                                    com.holonplatform.http.HttpMethod method,
                                                                                                                    com.holonplatform.http.rest.RequestEntity<R> requestEntity,
                                                                                                                    com.holonplatform.http.rest.ResponseType<T> responseType,
                                                                                                                    boolean onlySuccessfulStatusCode)

      Specified by:
        `invoke` in interface `com.holonplatform.reactor.http.internal.ReactiveInvoker`

Copyright © 2019 The Holon Platform. All rights reserved.